dh-apache2 causes a postinst failure when a package depends on an apache2-bin provided module

Bug #1312854 reported by Robie Basak on 2014-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Debian)
Fix Released
Unknown
apache2 (Ubuntu)
High
Unassigned

Bug Description

If I install apache2 at the same time as libapache2-mod-svn, then it is possible that both packages are unpacked, but libapache2-mod-svn is configured first.

This is causing our subversion dep8 test to fail, since it installs libapache2-mod-svn and apache2 together. I presume this will affect Debian also. I suppose a workaround for now is to have the test install apache2 first.

Robie Basak (racb) wrote :

Further details in Debian bug (linked).

summary: - apache2.preinst depends on a2query, which may not exist
+ dh-apache2 causes a postinst failure when a package depends on an
+ apache2-bin provided module
Changed in apache2 (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in apache2 (Debian):
status: Unknown → New
Changed in apache2 (Debian):
status: New → Fix Committed
Changed in apache2 (Debian):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apache2 - 2.4.10-8ubuntu2

---------------
apache2 (2.4.10-8ubuntu2) vivid; urgency=medium

  * Allow "triggers-awaited" and "triggers-pending" states in addition to
    "installed" when determining whether to defer actions or process
    deferred actions (LP: #1393832).
 -- Colin Watson <email address hidden> Wed, 26 Nov 2014 11:31:44 +0000

Changed in apache2 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.